using StoredProcWaApi;

var builder = WebApplication.CreateBuilder(args);

// Add services to the container.
builder.Services.AddControllers();

// get the connection string from appsettings.json
string connectionString = builder.Configuration.GetValue<string>("Settings:ConnectionString");

// register services for dependency injection (di)
Functions.AddModelServices(builder.Services);
Functions.AddDataRepositoryAndBusinessLayerServices(builder.Services, connectionString);

// Learn more about configuring Swagger/OpenAPI at https://aka.ms/aspnetcore/swashbuckle

builder.Services.AddEndpointsApiExplorer();
builder.Services.AddSwaggerGen();

var app = builder.Build();

// Configure the HTTP request pipeline.
if (app.Environment.IsDevelopment())
{
    app.UseSwagger();
    app.UseSwaggerUI();
}

app.UseHttpsRedirection();

app.UseAuthorization();

app.MapControllers();

app.Run();
